> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener un contexto de conciliación

> Utilice este endpoint para recuperar los detalles de un contexto de conciliación específico por su identificador.



## OpenAPI

````yaml es/openapi/v3-current/matcher.yaml get /v1/contexts/{contextId}
openapi: 3.1.0
info:
  title: Matcher APIs
  description: >-
    Referencia completa de la API para el motor de conciliación Matcher, que
    proporciona conciliación automatizada de transacciones entre Midaz Ledger y
    sistemas externos.
  version: 4.1.0
  license:
    name: Lerian Studio General License
servers:
  - url: https://matcher.sandbox.lerian.net
security: []
paths:
  /v1/contexts/{contextId}:
    get:
      tags:
        - Configuration Contexts
      summary: Obtener un contexto de conciliación
      description: >-
        Utilice este endpoint para recuperar los detalles de un contexto de
        conciliación específico por su identificador.
      operationId: getContext
      parameters:
        - description: A unique identifier for tracing the request across services.
          in: header
          name: X-Request-Id
          schema:
            type: string
        - description: The unique identifier of the reconciliation context.
          in: path
          name: contextId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Contexto recuperado correctamente
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconciliationContextResponse'
        '400':
          description: ID de contexto no válido
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: La solicitud no tiene credenciales de autenticación válidas.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: No tiene permiso para acceder a este recurso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                ErrorM0103:
                  $ref: '#/components/examples/ErrorM0103'
        '404':
          description: Contexto no encontrado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                ErrorM0201:
                  $ref: '#/components/examples/ErrorM0201'
        '500':
          description: Ocurrió un error inesperado en el servidor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                ErrorM0002:
                  $ref: '#/components/examples/ErrorM0002'
      security:
        - BearerAuth: []
components:
  schemas:
    ReconciliationContextResponse:
      description: Contexto de configuración para reglas de conciliación
      properties:
        id:
          description: Identificador único del contexto
          example: 019c96a0-10a0-72d2-9fb0-2b7de8093182
          type: string
        tenantId:
          description: ID del tenant al que pertenece este contexto
          example: 019c96a0-0a98-7287-9a31-786e0809c769
          type: string
        name:
          description: Nombre del contexto de conciliación
          example: Bank Reconciliation Q1
          type: string
        type:
          description: Tipo de topología de conciliación
          enum:
            - '1:1'
            - 1:N
            - N:M
          example: '1:1'
          type: string
        interval:
          description: Intervalo de ejecución
          example: daily
          type: string
        status:
          description: Estado actual del contexto
          enum:
            - DRAFT
            - ACTIVE
            - PAUSED
            - ARCHIVED
          example: ACTIVE
          type: string
        feeToleranceAbs:
          description: Monto de tolerancia de tarifa absoluta
          example: '0.50'
          type: string
        feeTolerancePct:
          description: Tolerancia de tarifa en porcentaje
          example: '0.01'
          type: string
        feeNormalization:
          description: Modo de normalización de tarifas
          enum:
            - NET
            - GROSS
          example: NET
          type: string
        autoMatchOnUpload:
          description: >-
            Si la conciliación se activa automáticamente tras la carga de
            archivos
          example: false
          type: boolean
        createdAt:
          description: Marca de tiempo de creación en formato RFC3339
          example: '2025-01-15T10:30:00.000Z'
          type: string
        updatedAt:
          description: Marca de tiempo de última actualización en formato RFC3339
          example: '2025-01-15T10:30:00.000Z'
          type: string
      type: object
    ErrorResponse:
      description: Respuesta de error estándar devuelta por todos los endpoints de la API
      type: object
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Código de error de aplicación estable.
          example: MTCH-0001
        title:
          type: string
          description: Título de error legible por humanos.
          example: Bad Request
        message:
          type: string
          description: Mensaje de error legible con detalles.
          example: context not found
        error:
          type: string
          description: >-
            Obsoleto. Mensaje de error para compatibilidad con versiones
            anteriores.
          deprecated: true
        details:
          description: Contexto de error adicional como pares clave-valor
          additionalProperties: {}
          type: object
  examples:
    ErrorM0103:
      summary: Insufficient Privileges
      value:
        code: MTCH-0004
        title: Forbidden
        message: >-
          You do not have the necessary permissions to perform this action.
          Please contact your administrator if you believe this is an error.
    ErrorM0201:
      summary: Context Not Found
      value:
        code: MTCH-0110
        title: Not Found
        message: context not found
    ErrorM0002:
      summary: Internal Server Error
      value:
        code: MTCH-0002
        title: Internal Server Error
        message: internal server error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Autenticación con token Bearer (formato: "Bearer {token}")'

````